#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 z-tasty-sugar-z-tasty-sugar-internal
version:              2.2.1.0
package-name:         tasty-sugar
lib-name:             tasty-sugar-internal
id:
    tasty-sugar-2.2.1.0-FodLcSARjIIKzTMs8EpG5U-tasty-sugar-internal

key:
    tasty-sugar-2.2.1.0-FodLcSARjIIKzTMs8EpG5U-tasty-sugar-internal

license:              ISC
copyright:            Kevin Quick
maintainer:           kquick@galois.com
author:               Kevin Quick
homepage:             https://github.com/kquick/tasty-sugar
synopsis:             Tests defined by Search Using Golden Answer References
description:

    A tasty testing framework that builds individual test configurations
    from a set of input files and expected results (golden) files along
    with associated files, where multiple expected results and
    associated files for each input file can be parameterized by
    filename.

    Additionally a tasty ingredient is supplied that can be used to show
    the search process and resulting test configurations without
    actually running the tests.

category:             Testing
abi:                  e34b6a215bcbf202c42f516b7192e678
exposed-modules:
    Test.Tasty.Sugar.Analysis Test.Tasty.Sugar.AssocCheck
    Test.Tasty.Sugar.Candidates Test.Tasty.Sugar.ExpectCheck
    Test.Tasty.Sugar.Iterations Test.Tasty.Sugar.ParamCheck
    Test.Tasty.Sugar.Ranged Test.Tasty.Sugar.Report
    Test.Tasty.Sugar.Types

import-dirs:          /usr/lib/ghc-9.4.8/site-local/tasty-sugar-2.2.1.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/tasty-sugar-2.2.1.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/tasty-sugar-2.2.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tasty-sugar
hs-libraries:
    HStasty-sugar-2.2.1.0-FodLcSARjIIKzTMs8EpG5U-tasty-sugar-internal

depends:
    base-4.17.2.1 containers-0.6.7 directory-1.3.7.1
    filemanip-0.3.6.3-1WNjgiuymNE5GwBwUF3Sap filepath-1.4.2.2
    kvitable-1.0.3.0-GBQM6kdSggE2Yunoo3H2KX
    logict-0.8.0.0-D1il3kJnaIFKXwj8IolcoQ
    microlens-0.4.13.1-BCmTOusOWAwKF1xfvNhRYd mtl-2.2.2
    parallel-3.2.2.0-KJ5o3ImR3G8wdLWLqGjpy
    prettyprinter-1.7.1-HALq1IfAF9P2crkTd2PvtB text-2.0.2

haddock-interfaces:   /usr/share/doc/haskell-tasty-sugar/html/tasty-sugar.haddock
haddock-html:         /usr/share/doc/haskell-tasty-sugar/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 tasty-sugar
version:              2.2.1.0
visibility:           public
id:                   tasty-sugar-2.2.1.0-4LuCcIsTykk3feUjS9DwvM
key:                  tasty-sugar-2.2.1.0-4LuCcIsTykk3feUjS9DwvM
license:              ISC
copyright:            Kevin Quick
maintainer:           kquick@galois.com
author:               Kevin Quick
homepage:             https://github.com/kquick/tasty-sugar
synopsis:             Tests defined by Search Using Golden Answer References
description:

    A tasty testing framework that builds individual test configurations
    from a set of input files and expected results (golden) files along
    with associated files, where multiple expected results and
    associated files for each input file can be parameterized by
    filename.

    Additionally a tasty ingredient is supplied that can be used to show
    the search process and resulting test configurations without
    actually running the tests.

category:             Testing
abi:                  233be1a61bb48de048d2f2da41013a29
exposed:              True
exposed-modules:      Test.Tasty.Sugar
import-dirs:          /usr/lib/ghc-9.4.8/site-local/tasty-sugar-2.2.1.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/tasty-sugar-2.2.1.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/tasty-sugar-2.2.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tasty-sugar
hs-libraries:         HStasty-sugar-2.2.1.0-4LuCcIsTykk3feUjS9DwvM
depends:
    base-4.17.2.1 containers-0.6.7 directory-1.3.7.1
    filemanip-0.3.6.3-1WNjgiuymNE5GwBwUF3Sap filepath-1.4.2.2
    logict-0.8.0.0-D1il3kJnaIFKXwj8IolcoQ
    optparse-applicative-0.17.1.0-4tPjpOfYmOi9nj8To0UB1j
    prettyprinter-1.7.1-HALq1IfAF9P2crkTd2PvtB
    tasty-1.4.3-HK16IWl2qZuAE1kQP7GLN3
    tasty-sugar-2.2.1.0-FodLcSARjIIKzTMs8EpG5U-tasty-sugar-internal
    text-2.0.2

haddock-interfaces:   /usr/share/doc/haskell-tasty-sugar/html/tasty-sugar.haddock
haddock-html:         /usr/share/doc/haskell-tasty-sugar/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

